%define name		kooldock
%define version		0.4.7
%define release		%mkrel 2
%define libname 	%mklibname %name 0


Summary:	a kool dock for KDE, trying to resemble the MacOSX dock
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://sourceforge.net/projects/kooldock/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	kdelibs-devel 
%ifarch i586
BuildRequires:	libkdebase4-devel libqt3-devel libxorg-x11-devel
%endif
%ifarch x86_64
BuildRequires:	lib64kdebase4-devel lib64qt3-devel lib64xorg-x11-devel
%endif

%ifarch i586
Requires:	kdebase libqt3
%endif
%ifarch x86_64
Requires:       kdebase lib64qt3
%endif

Obsoletes:	%name %version-%release


%description
A kool dock for KDE. It attemps to resemble the Mac OSX dock. Check out the screenshots. Features: App Launcher, On Screen text display (over icons), Drag&Drop app list, Auto-Hide, Nice hide-show animation, Transparency, Xinerama support, Others.


%prep
%setup -q -n kooldock

%build
%configure_kde3

%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%{_kde3_bindir}/kooldock
%{_kde3_datadir}/apps/kooldock/backgrounds/border-black/*.png
%{_kde3_datadir}/apps/kooldock/backgrounds/border-white/*.png
%{_kde3_datadir}/apps/kooldock/backgrounds/crystal/*.png
%{_kde3_datadir}/apps/kooldock/backgrounds/default/*.png
%{_kde3_datadir}/apps/kooldock/backgrounds/fadeout/*.png
%{_kde3_datadir}/apps/kooldock/backgrounds/fadeout2/*.png
%{_kde3_datadir}/apps/kooldock/backgrounds/fadeout3/*.png
%{_kde3_datadir}/apps/kooldock/backgrounds/osx/*.png
%{_kde3_datadir}/apps/kooldock/icons/crystalsvg/*/apps/kooldock.png
%{_kde3_datadir}/icons/crystalsvg/*/apps/kooldock.png
%{_kde3_datadir}/locale/*/LC_MESSAGES/kooldock.mo

%changelog
* Sat Jan 03 2009 Oliver Burger <rpm@mandrivauser.de> 0.4.7-2mud2009.0
- corrected SPEC file for x86_64

* Sat Jan 03 2009 Oliver Burger <rpm@mandrivauser.de> 0.4.7-1mud2009.0
- rebuild for 2009.0

* Wed Apr 09 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.7-3mud2008.1
- rebuild on 2008.1-final

* Tue Mar 25 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.7-2mud2008.1
- rebuild for 2008.1
- this package was built for rc2/cooker

* Mon Jan 07 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.7-1mud2008.0
- New version 0.4.7

* Tue Oct 09 2007 Oliver Burger <rpm@mandrivauser.de> 0.4.6-1mud2008.0
- First Build for 2008.0

* Tue Aug 29 2007 Oliver Burger <rpm@mandrivauser.de> 0.4.6-1mud2007.1
- First Build for Mandriva 2007.1
